GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
memory_read_result Struct Reference

`#include "target.h"`

## Public Member Functions
| memory_read_result (ULONGEST begin_, ULONGEST end_, gdb::unique_xmalloc_ptr< gdb_byte > &&data_)
| ~memory_read_result ()=default
| memory_read_result (memory_read_result &&other)=default
| DISABLE_COPY_AND_ASSIGN (memory_read_result)

## Public Attributes
ULONGEST | begin
ULONGEST | end
gdb::unique_xmalloc_ptr< gdb_byte > | data

## Detailed Description

Definition at line 269 of file target.h.

## Constructor & Destructor Documentation

## ◆ memory_read_result() [1/2]

memory_read_result::memory_read_result | ( | ULONGEST | begin_,
|  | ULONGEST | end_,
|  | gdb::unique_xmalloc_ptr< gdb_byte > && | data_
| ) |  |
| inline

Definition at line 271 of file target.h.

## ◆ ~memory_read_result()

memory_read_result::~memory_read_result | ( |  | ) |
| default

## ◆ memory_read_result() [2/2]

memory_read_result::memory_read_result | ( | memory_read_result && | other | ) |
| default

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

memory_read_result::DISABLE_COPY_AND_ASSIGN | ( | memory_read_result |  | ) |

## Member Data Documentation

## ◆ begin

ULONGEST memory_read_result::begin

Definition at line 286 of file target.h.

## ◆ data

gdb::unique_xmalloc_ptr<gdb_byte> memory_read_result::data

Definition at line 290 of file target.h.

## ◆ end

ULONGEST memory_read_result::end

Definition at line 288 of file target.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target.h